## packagesearch 2.2.6

=== debian/changelog ===
packagesearch (2.2.6) unstable; urgency=medium

  * ported to libept > 0.5.1 (Closes: #429005) (thanks Enrico)
  * corrected rule to build makefile (Closes: #418770)

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 14 Jul 2007 17:26:26 +0200

=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.3), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libmysqlclient15-dev, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libglib2.0-dev, libsqlite0-dev
Standards-Version: 3.7.2.1

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), ${shlibs:Depends}, ${misc:Depends}
Recommends: xterm | x-terminal-emulator, apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system, a new way of categorizing 
    Debian packages)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including the files belonging to them.
 .
 It is possible to install or remove packages.

## packagesearch 2.3

=== debian/changelog ===
packagesearch (2.3) unstable; urgency=medium

  * New upstream release (fully ported to QT4)
     - compiled against latest libapt (Closes: #466888)
     - fixed text formatting issue of "Package Description" (Closes: #424913)
     - fixed Makefiles to zero out QMAKE_LFLAGS (removes --no-undefined)
       so that the plugins compile again (Closes: #458884)
     - fixed build-script for manpage (Closes: #458577)
     - tag selection is now triggered by double-clicking (Closes: #447261)
     - updated section for menu entry (changed in recent policy)

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 02 Mar 2008 10:20:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.3), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libmysqlclient15-dev, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libglib2.0-dev, libsqlite0-dev
-Standards-Version: 3.7.2.1
+Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.3), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libglib2.0-dev
+Standards-Version: 3.7.3.0
+Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
 
 Package: packagesearch
 Architecture: any

## packagesearch 2.4

=== Makefile ===

ICONDIR = /usr/share/pixmaps/packagesearch

QMAKE_ARGS := "CONFIG+=my_release"

QMAKE = /usr/bin/qmake-qt4

all:
	( cd src ; $(QMAKE) $(QMAKE_ARGS) ; make )
# create each plugin individually because the src/plugins/plugin.pro 
# does not forward config options
	( cd src/plugins/aptplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )
	( cd src/plugins/debtagsplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )
	( cd src/plugins/filenameplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )
	( cd src/plugins/orphanplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )

debug:
	( cd src ; $(QMAKE) ; make )
	( cd src/plugins/ ; $(QMAKE) ; make )
	( cd src/plugins/aptplugin ; $(QMAKE)  ; make )
	( cd src/plugins/debtagsplugin ; $(QMAKE) ; make )
	( cd src/plugins/filenameplugin ; $(QMAKE) ; make )
	( cd src/plugins/orphanplugin ; $(QMAKE) ; make )

debug-clean:
	( cd src ; $(QMAKE) ; make clean )
	( cd src/plugins ; $(QMAKE) ; make clean )
	( cd src/plugins/aptplugin ; $(QMAKE)  ; make clean)
	( cd src/plugins/debtagsplugin ; $(QMAKE) ; make clean)
	( cd src/plugins/filenameplugin ; $(QMAKE) ; make clean)
	( cd src/plugins/orphanplugin ; $(QMAKE) ; make clean)
	make delete-makefiles

clean:
	( cd src ; $(QMAKE)  $(QMAKE_ARGS) ; make clean )
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins/aptplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean)
	( cd src/plugins/debtagsplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins/filenameplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins/orphanplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	make delete-makefiles

install:
	install -d /usr/lib/packagesearch
	install -d /usr/share/doc/packagesearch
	install -d /usr/local/bin
	install -d $(ICONDIR)
	install src/packagesearch /usr/local/bin/
	install -m 644 icons/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png} $(ICONDIR)
	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
	install src/plugins/lib*so /usr/lib/packagesearch
	
uninstall:
	rm /usr/local/bin/packagesearch
	rm /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
	rmdir /usr/share/doc/packagesearch
	rm /usr/lib/packagesearch/libaptplugin.so
	rm /usr/lib/packagesearch/libdebtagsplugin.so
	rm /usr/lib/packagesearch/libfilenameplugin.so
	rm /usr/lib/packagesearch/liborphanplugin.so
	rmdir /usr/lib/packagesearch
	rm $(ICONDIR)/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png}
	rmdir $(ICONDIR)

delete-makefiles:
	rm src/Makefile
	rm src/plugins/Makefile
	rm src/plugins/aptplugin/Makefile
	rm src/plugins/debtagsplugin/Makefile
	rm src/plugins/filenameplugin/Makefile
	rm src/plugins/orphanplugin/Makefile

=== debian/changelog ===
packagesearch (2.4) unstable; urgency=low

  * New upstream release
     - prevent crashes when underlying libept changes (Closes: #439938)
     - reduced height of entries in the package list (Closes: #470554)
     - allow selecting between apt and aptitude for installation
     - fixed typos in README (Closes: #471921)

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 25 Jun 2008 11:01:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.3), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libglib2.0-dev
-Standards-Version: 3.7.3.0
+Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.18), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1)
+Standards-Version: 3.8.0.1
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
 
 Package: packagesearch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# rules file for packagesearch

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	rm -f debian/packagesearch.1

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/bin usr/share/pixmaps usr/share/doc/packagesearch usr/lib/packagesearch

# Build architecture-independent packages here.
binary-indep: build install

# Build architecture-dependent packages here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_install
	dh_installmenu
	dh_installman debian/packagesearch.1
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## packagesearch 2.4build1

=== debian/changelog ===
packagesearch (2.4build1) jaunty; urgency=low

  * Rebuild with recent apt.

 -- Michael Bienia <geser@ubuntu.com>  Thu, 12 Feb 2009 12:11:09 +0100

## packagesearch 2.4build2

=== debian/changelog ===
packagesearch (2.4build2) karmic; urgency=low

  * Rebuild with recent apt.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 26 Sep 2009 00:18:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.18), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1)
+Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.26ubuntu2), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1)
 Standards-Version: 3.8.0.1
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch

## packagesearch 2.5

=== debian/changelog ===
packagesearch (2.5) unstable; urgency=low

  * New upstream release
     - Command execution should now work on dash (and any other 
	    posix conform shell) when finished successfully or unsuccessfully 
		 (Closes: #539255)
     - changed dependency on libept-dev >= 0.5.22 with fixed package 
	    iteration this should fix #442310 (Closes: #442310)
     - other bugfixes and improvements (see CHANGELOG file)

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 08 Nov 2009 10:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 4.0.0), libept-dev (>= 0.5.26ubuntu2), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1)
-Standards-Version: 3.8.0.1
+Build-Depends: debhelper (>= 7.0.0), libept-dev (>= 0.5.26), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1)
+Standards-Version: 3.8.3.0
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
 
 Package: packagesearch

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs usr/bin usr/share/pixmaps usr/share/doc/packagesearch usr/lib/packagesearch
 
 # Build architecture-independent packages here.

## packagesearch 2.6

=== Makefile ===

ICONDIR = /usr/share/pixmaps/packagesearch

RELEASE_ARGS := "CONFIG-=debug" "CONFIG+=release"
TEST_ARGS := "CONFIG+=test"
MAKE_ARGS := "-j2"
QMAKE = /usr/bin/qmake-qt4
LRELEASE = /usr/bin/lrelease-qt4

all: delete-makefiles translations
	( cd src ; $(QMAKE) $(RELEASE_ARGS) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) $(RELEASE_ARGS) ; make $(MAKE_ARGS))

translations:
	$(LRELEASE) src/packagesearch.pro
	$(LRELEASE) src/plugins/debtagsplugin/debtagsplugin.pro
	$(LRELEASE) src/plugins/aptplugin/aptplugin.pro
	$(LRELEASE) src/plugins/filenameplugin/filenameplugin.pro
	$(LRELEASE) src/plugins/orphanplugin/orphanplugin.pro

delete-translations:
	rm -f translations/*.qm

clean-all: clean clean-debug clean-test delete-translations

clean: delete-makefiles delete-translations
	( cd src ; $(QMAKE) $(RELEASE_ARGS) ; make clean )
	( cd src/plugins ; $(QMAKE) $(RELEASE_ARGS) ; make clean )
	make delete-makefiles

debug: delete-makefiles translations
	( cd src ; $(QMAKE) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) ; make $(MAKE_ARGS))

clean-debug: delete-makefiles delete-translations
	( cd src ; $(QMAKE) ; make clean )
	( cd src/plugins ; $(QMAKE) ; make clean )
	make delete-makefiles


install:
	install -d /usr/lib/packagesearch
	install -d /usr/share/doc/packagesearch
	install -d /usr/local/bin
	install -d $(ICONDIR)
	install src/packagesearch /usr/local/bin/
	install -m 644 icons/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png} $(ICONDIR)
	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
	install src/plugins/lib*so /usr/lib/packagesearch
	
uninstall:
	rm -f /usr/local/bin/packagesearch
	rm -f /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
	rmdir /usr/share/doc/packagesearch
	rm -f /usr/lib/packagesearch/libaptplugin.so
	rm -f /usr/lib/packagesearch/libdebtagsplugin.so
	rm -f /usr/lib/packagesearch/libfilenameplugin.so
	rm -f /usr/lib/packagesearch/liborphanplugin.so
	rmdir /usr/lib/packagesearch
	rm -f  $(ICONDIR)/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png}
	rmdir $(ICONDIR)

delete-makefiles:
	rm -f src/Makefile
	rm -f src/plugins/Makefile
	rm -f src/plugins/aptplugin/Makefile
	rm -f src/plugins/debtagsplugin/Makefile
	rm -f src/plugins/filenameplugin/Makefile
	rm -f src/plugins/orphanplugin/Makefile
	rm -f src/plugins/Makefile.test
	rm -f src/plugins/aptplugin-test/Makefile

test: build-test run-test

build-test: debug
	( cd src ; $(QMAKE) "CONFIG+= testlib" ; make $(MAKE_ARGS) -f Makefile.testlib)
	( cd test-src ; $(QMAKE) ; make $(MAKE_ARGS))
	( cd src/plugins ; $(QMAKE) plugins-test.pro ; make $(MAKE_ARGS) -f Makefile.test)

run-test: build-test
	( cd test-src ; export LD_LIBRARY_PATH=../src ; ./run-tests )
	( cd src ; export LD_LIBRARY_PATH=.:plugins ; plugins/aptplugin/run-tests )
	
clean-test:
	( cd src/plugins ; $(QMAKE) "CONFIG+= testlib" ; make -f src/Makefile.testlib clean )
	make -f src/Makefile.test clean
	make -f src/plugins/Makefile.test clean
	rm -f src/Makefile.testlib
	rm -f src/Makefile.test

.PHONY : all debug clean clean-all clean-debug clean-test install uninstall delete-makefiles test build-test run-test translations delete-translations

=== src/plugins/popconplugin/Makefile ===
#############################################################################
# Makefile for building: libpopconplugin.so
# Generated by qmake (2.01a) (Qt 4.6.3) on: Sat Jul 3 22:13:13 2010
# Project:  popconplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -I/usr/include/tagcoll-2.0.11 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe --include ../../workarounds.h -O2 -I/usr/include/tagcoll-2.0.11 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = popconplugin.cpp \
		popconplugincontainer.cpp \
		popconpluginfactory.cpp .moc/moc_popconplugin.cpp \
		.moc/moc_popconplugincontainer.cpp
OBJECTS       = .obj/popconplugin.o \
		.obj/popconplugincontainer.o \
		.obj/popconpluginfactory.o \
		.obj/moc_popconplugin.o \
		.obj/moc_popconplugincontainer.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		popconplugin.pro
QMAKE_TARGET  = popconplugin
DESTDIR       = ../
TARGET        = libpopconplugin.so
TARGETD       = libpopconplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: popconplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/popconplugin0.0.1 || $(MKDIR) .obj/popconplugin0.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/popconplugin0.0.1/ && $(COPY_FILE) --parents popconplugin.h popconplugincontainer.h popconpluginfactory.h .obj/popconplugin0.0.1/ && $(COPY_FILE) --parents popconplugin.cpp popconplugincontainer.cpp popconpluginfactory.cpp .obj/popconplugin0.0.1/ && $(COPY_FILE) --parents ../../../translations/popconplugin_de.ts ../../../translations/popconplugin_ru.ts .obj/popconplugin0.0.1/ && (cd `dirname .obj/popconplugin0.0.1` && $(TAR) popconplugin0.0.1.tar popconplugin0.0.1 && $(COMPRESS) popconplugin0.0.1.tar) && $(MOVE) `dirname .obj/popconplugin0.0.1`/popconplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/popconplugin0.0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_popconplugin.cpp .moc/moc_popconplugincontainer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_popconplugin.cpp .moc/moc_popconplugincontainer.cpp
.moc/moc_popconplugin.cpp: popconplugincontainer.h \
		popconplugin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) popconplugin.h -o .moc/moc_popconplugin.cpp

.moc/moc_popconplugincontainer.cpp: popconplugincontainer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) popconplugincontainer.h -o .moc/moc_popconplugincontainer.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.obj/popconplugin.o: popconplugin.cpp popconplugin.h \
		popconplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/popconplugin.o popconplugin.cpp

.obj/popconplugincontainer.o: popconplugincontainer.cpp popconplugincontainer.h \
		popconplugin.h \
		popconpluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/popconplugincontainer.o popconplugincontainer.cpp

.obj/popconpluginfactory.o: popconpluginfactory.cpp popconpluginfactory.h \
		popconplugin.h \
		popconplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/popconpluginfactory.o popconpluginfactory.cpp

.obj/moc_popconplugin.o: .moc/moc_popconplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_popconplugin.o .moc/moc_popconplugin.cpp

.obj/moc_popconplugincontainer.o: .moc/moc_popconplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_popconplugincontainer.o .moc/moc_popconplugincontainer.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
packagesearch (2.6) unstable; urgency=low

  * New upstream release
    - explicitly list all required libraries (Closes: #555881) 
    - use apt-xapian as search backend (significantly faster)
    - searching for similar packages is now based on full text description
    - ported to libept 1.0 (Closes: #581003) 

 -- Benjamin Mesing <bensmail@gmx.net>  Sat, 03 Jul 2010 21:31:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 7.0.0), libept-dev (>= 0.5.26), libept-dev (<< 0.6), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1)
-Standards-Version: 3.8.3.0
+Build-Depends: debhelper (>= 7.0.0), libept-dev (>= 1.0), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev
+Standards-Version: 3.9.0
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
 
 Package: packagesearch
 Architecture: any
-Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), ${shlibs:Depends}, ${misc:Depends}
+Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), apt-xapian-index, ${shlibs:Depends}, ${misc:Depends}
 Recommends: xterm | x-terminal-emulator, apt-file, deborphan
 Description: GUI for searching packages and viewing package information
  This tool is aimed to help you search the packages you need. It should

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,8 @@
 	dh_testroot
 	dh_installchangelogs CHANGELOG
 	dh_installdocs
+	# not yet ready for release - no popcon data available
+	rm -f src/plugins/libpopconplugin.so
 	dh_install
 	dh_installmenu
 	dh_installman debian/packagesearch.1

## packagesearch 2.6build1

=== debian/changelog ===
packagesearch (2.6build1) natty; urgency=low

  * No-change rebuild for libxapian15 → libxapian22 transition. 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 30 Oct 2010 12:22:40 +0200

## packagesearch 2.6build2

=== src/plugins/popconplugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libpopconplugin.so
-# Generated by qmake (2.01a) (Qt 4.6.3) on: Sat Jul 3 22:13:13 2010
+# Generated by qmake (2.01a) (Qt 4.7.3) on: Mon Aug 8 13:01:40 2011
 # Project:  popconplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 -unix CONFIG-=debug CONFIG+=release -o Makefile popconplugin.pro
@@ -10,12 +10,12 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O2 -I/usr/include/tagcoll-2.0.11 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-CXXFLAGS      = -pipe --include ../../workarounds.h -O2 -I/usr/include/tagcoll-2.0.11 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc
+DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -m64 -pipe -O2 -I/usr/include/tagcoll-2.0.11 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+CXXFLAGS      = -m64 -pipe --include ../../workarounds.h -O2 -I/usr/include/tagcoll-2.0.11 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc
 LINK          = g++
-LFLAGS        = -Wl,-O1 -shared
+LFLAGS        = -m64 -Wl,-O1 -shared
 LIBS          = $(SUBLIBS)  -L/usr/lib -lept -lapt-pkg -lxapian -ltagcoll2 -lz -lwibble -lpthread -lQtXml -lQtGui -lQtCore 
 AR            = ar cqs
 RANLIB        = 
@@ -56,6 +56,8 @@
 		/usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_phonon.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -109,10 +111,12 @@
 
 
 
-Makefile: popconplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: popconplugin.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
 		/usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_phonon.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -136,6 +140,8 @@
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
+/usr/share/qt4/mkspecs/modules/qt_phonon.pri:
+/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /usr/share/qt4/mkspecs/features/qt_functions.prf:
 /usr/share/qt4/mkspecs/features/qt_config.prf:
 /usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -192,9 +198,9 @@
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
-compiler_image_collection_make_all: qmake_image_collection.cpp
+compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
 compiler_image_collection_clean:
-	-$(DEL_FILE) qmake_image_collection.cpp
+	-$(DEL_FILE) .ui/qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
 compiler_uic_make_all:

=== debian/changelog ===
packagesearch (2.6build2) oneiric; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 13:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Benjamin Mesing <bensmail@gmx.net>
-Build-Depends: debhelper (>= 7.0.0), libept-dev (>= 1.0), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev
+Build-Depends: debhelper (>= 7.0.0), libept-dev (>= 1.0.5build1), libept-dev (<< 2), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 0.1), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev
 Standards-Version: 3.9.0
 Vcs-Svn: https://packagesearch.svn.sourceforge.net/svnroot/packagesearch
